{
  "format_version": "1.18.20",
  "animation_controllers": {

    // root
    "controller.animation.mythicus_im.trashcan.anchor.root": {
      "states": {

        "default": {
          "transitions": [
            { "spawned": "q.life_time > 0.2" }
          ]
        },

        "spawned": {
          "transitions": [
            { "instant_despawn": "q.relative_block_has_all_tags(0, 0, 0, 'mythicus_im:hdc.trashcan') == false" }
          ]
        },

        "instant_despawn": {
          "on_entry": [
            "@s mythicus_im:instant_despawn"
          ]
        }

      }
    }

  }
}